curl --request GET \
--url https://api.jtl-cloud.com/erp/items/{itemId}/specialprices \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/specialprices"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/specialprices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ItemId": 123,
"SpecialPrice": [
{
"IsActive": true,
"CustomerGroupId": 123,
"NetPrice": 126.04,
"SalesChannelId": "1-1-1"
}
],
"IsActive": true,
"StartDate": "2023-02-01T13:00:00.0000000+00:00",
"EndDateActive": false,
"EndDate": "2023-02-01T13:00:00.0000000+00:00",
"TillAmountActive": false,
"TillAmountInStockSmallerThan": 15
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Query Item Special Price
Query the special prices for a specific item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Response
The requested special price details of the item .
Model Class: ItemSpecialPrice
List of all special prices for JTL-Wawi and the sales channel with the type online shop and JTL-POS.
Show child attributes
Show child attributes
Indicates if the special price is active.
true
The date when the special price should start.
"2023-02-01T13:00:00.0000000+00:00"
If set, the special price will end on a given date. In this case, the field EndDate is required.
false
This is required if EndDateActive is set. In this case, the special price ends on this date.
"2023-02-01T13:00:00.0000000+00:00"
Indicates that the special price ends when a certain amount is reached. The field TillAmountInStockSmallerThan is required in this case.
false
If this amount of stock for the item is reached, the special price ends. Only applies if TillAmountActive is true.
15
Was this page helpful?